Bug 426985 (php-suhosin) - Review Request: php-suhosin - Suhosin extension for the php language
Summary: Review Request: php-suhosin - Suhosin extension for the php language
Status: CLOSED NEXTRELEASE
Alias: php-suhosin
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-29 11:00 UTC by Bart Vanbrabant
Modified: 2013-04-30 23:37 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-10 16:56:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atkac: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
Updated SPEC file, works for me, only header changed (1.72 KB, text/plain)
2008-04-28 18:11 UTC, George Machitidze
no flags Details

Description Bart Vanbrabant 2007-12-29 11:00:01 UTC
Spec URL: http://bart.ulyssis.org/fedora/php-suhosin/php-suhosin.spec
SRPM URL: http://bart.ulyssis.org/fedora/php-suhosin/php-suhosin-0.9.22-1.fc8.src.rpm
Description: Suhosin is an advanced protection system for PHP installations. It was designed to protect servers and users from known and unknown flaws in PHP applications and the PHP core.

Suhosin has saved my several times on servers I maintain by blocking certain exploits in PHP. This isn't the suhosin patch but the extension!

This is my first package review request so I'll need a sponsor.

Comment 1 Huzaifa S. Sidhpurwala 2008-01-04 07:09:18 UTC
I am not a sponsor so i cannot review your package, i can only comment on it.

[root@dhcp1-17 ~]# rpmlint php-suhosin-0.9.22-1.fc8.src.rpm 
php-suhosin.src: W: invalid-license PHP License

See: http://fedoraproject.org/wiki/Licensing

Everything else looks ok to me, atleast in the first glance.


Comment 2 Bart Vanbrabant 2008-01-04 09:52:47 UTC
Updated, http://bart.ulyssis.org/fedora/php-suhosin/

Comment 3 Huzaifa S. Sidhpurwala 2008-01-04 10:00:00 UTC
I can see the newer spec file there, just the new srpm.

Comment 4 Bart Vanbrabant 2008-01-04 10:08:20 UTC
A dirty browser cache? I can see it with two different browsers.

Comment 5 Huzaifa S. Sidhpurwala 2008-01-04 10:21:16 UTC
Ah my bad.
Spec seems ok now
Thanks.

Comment 6 Remi Collet 2008-04-26 12:33:45 UTC
As i'm not a sponsor, only a few comments.

- lastest version is 0.9.23
- you should requires php(zend-abi) (not php(zend-api))
- use %setup -q -n suhosin-%{version}   (which simplify other part)
- no need to requires php-common as the php(zend-abi) assure ABI compatibility
of extension.

It will be great to provides a config file with some recommended value (for 
ex : suhosin.log.sapi=S_ALL, and probably others)

Do you succeed to run the test suite ?


Comment 7 Bart Vanbrabant 2008-04-28 16:25:31 UTC
Thanks for the remarks. I'll update it one of the next days.

Comment 8 George Machitidze 2008-04-28 18:11:41 UTC
Created attachment 304019 [details]
Updated SPEC file, works for me, only header changed

Try this one...

Comment 9 Bart Vanbrabant 2008-04-29 08:33:16 UTC
Update spec file and srpm is available at
http://bart.ulyssis.org/fedora/php-suhosin/

Comment 10 Stefan Neufeind 2008-05-02 10:25:57 UTC
Would really be nice to have that package ... +1

Comment 11 Adam Tkac 2008-08-06 16:21:01 UTC
I will take care about this review.

- spec looks fine for me
- mock build OK
- rpmlint doesn't print any error/warning

=> Reviewed.

Comment 12 Bart Vanbrabant 2008-08-08 07:55:02 UTC
Anyone willing to sponsor me? I've added myself to the packager group and I'm awaiting approval.

Comment 13 Tomas Mraz 2008-08-13 15:26:23 UTC
I have rereviewed the package and it seems to be OK. I will sponsor you.

Comment 14 Bart Vanbrabant 2008-08-14 07:03:13 UTC
Thx. I'm not able to request a cvs module. The select box for the fedora-cvs flag is stilled greyed out -> http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

What should I do or what am I doing wrong?

Comment 15 Tomas Mraz 2008-08-14 09:42:00 UTC
Weird, I can set the flag without problems. Perhaps there are some sync problems between bugzilla and Fedora Account System? I think you are member of all the groups you need to be in FAS so that should not be a problem. Can you try to relogin into bugzila and if that doesn't help can you report the problem to the bugzilla-owner@redhat.com ?

Comment 16 Jason Tibbitts 2008-08-14 12:44:17 UTC
The sync between FAS and bugzilla is currently being done manually, about once per day.  Reporting this to the bugzilla people is not productive as it is not their fault.

Comment 17 Tomas Mraz 2008-08-14 13:04:28 UTC
I have added this information to https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Comment 18 Peter Vrabec 2008-08-15 19:40:43 UTC
New Package CVS Request
=======================
Package Name: php-suhosin
Short Description: Suhosin extension for the php language
Owners: pvrabec
Branches: 
InitialCC:

Comment 19 Peter Vrabec 2008-08-15 19:41:01 UTC
Bart I don't want to be maintainer of this package I just want it to be available in F10, therefore I filed this CVS request. We can switch as soon as possible.

Comment 20 Bart Vanbrabant 2008-08-18 09:16:54 UTC
Thanks. At least for the next I won't be able to do much because I can only access the internet from my work. After that I should have a connection at home again.

Comment 21 Kevin Fenzi 2008-08-23 04:29:55 UTC
Bart / Peter: I see Bart in the packager group... would you like me to process the request with him as owner?

Comment 22 Bart Vanbrabant 2008-08-25 07:59:53 UTC
For me this is ok, but I don't have any problem whatsoever if someone else is the owner. I've got the time to maintain it so I would at least want co-maintainership.

Comment 23 Peter Vrabec 2008-08-25 09:16:56 UTC
(In reply to comment #21)
> Bart / Peter: I see Bart in the packager group... would you like me to process
> the request with him as owner?

Bart: owner
me: co-maintainer

thnx.

Comment 24 Kevin Fenzi 2008-08-25 19:47:43 UTC
cvs done.

Comment 25 Adam Tkac 2008-11-10 16:56:23 UTC
Package were built, closing

Comment 26 Bart Vanbrabant 2010-01-13 10:50:15 UTC
Package Change Request
======================
Package Name: php-suhosin
New Branches: EL-4 EL-5
Owners: zoeloelip

Comment 27 Jason Tibbitts 2010-01-13 20:43:01 UTC
CVS done.

Comment 28 nfoxie 2011-03-18 00:49:51 UTC
Can someone please push php-suhosin-0.9.32.1-1.fc14 to updates?


Note You need to log in before you can comment on or make changes to this bug.